## mh-e 8.2

=== Makefile ===
# Makefile for MH-E.

# Copyright (C) 2003, 2004, 2005, 2006 Bill Wohler

# This file is part of MH-E.

# MH-E is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# MH-E is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with MH-E; see the file COPYING.  If not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

#
# Note: most changes to this file should also be mirrored in the Makefiles in
# $(TOP)/doc and $(TOP)/contrib.
#
TOP		= ..

CVSROOT		= cvs.savannah.gnu.org:/cvsroot/emacs

CVSLOGIN	= anoncvs

# Developers can use "ext".
CVSMETHOD	= pserver

# Program to install files
INSTALL		= install -m 644

# MH-E source.
MH_E_SRC	=			\
        emacs/lisp/mh-e/mh-alias.el	\
        emacs/lisp/mh-e/mh-buffers.el	\
        emacs/lisp/mh-e/mh-comp.el	\
        emacs/lisp/mh-e/mh-e.el		\
        emacs/lisp/mh-e/mh-folder.el	\
        emacs/lisp/mh-e/mh-funcs.el	\
        emacs/lisp/mh-e/mh-identity.el	\
        emacs/lisp/mh-e/mh-inc.el	\
        emacs/lisp/mh-e/mh-junk.el	\
        emacs/lisp/mh-e/mh-letter.el	\
        emacs/lisp/mh-e/mh-limit.el	\
        emacs/lisp/mh-e/mh-mime.el	\
        emacs/lisp/mh-e/mh-print.el	\
        emacs/lisp/mh-e/mh-scan.el	\
        emacs/lisp/mh-e/mh-search.el	\
        emacs/lisp/mh-e/mh-seq.el	\
        emacs/lisp/mh-e/mh-show.el	\
        emacs/lisp/mh-e/mh-speed.el	\
        emacs/lisp/mh-e/mh-thread.el	\
        emacs/lisp/mh-e/mh-tool-bar.el	\
        emacs/lisp/mh-e/mh-utils.el	\
        emacs/lisp/mh-e/mh-xface.el

MH_E_OBJ	=  $(MH_E_SRC:.el=.elc)

MH_E_SRC_NONCOMPILED =			\
	emacs/lisp/mh-e/mh-acros.el	\
	emacs/lisp/mh-e/mh-compat.el	\
	emacs/lisp/mh-e/mh-gnus.el

MH_E_XEMACS_SRC	= mh-xemacs.el

MH_E_XEMACS_OBJ	= $(MH_E_XEMACS_SRC:.el=.elc)

# Automatically generated files.
MH_E_LOADDEFS	= emacs/lisp/mh-e/mh-loaddefs.el

MH_E_LOADDEFS_SRC = $(MH_E_SRC)

MH_E_AUTOLOADS	= emacs/lisp/mh-e/mh-autoloads.el

MH_E_CUSTOM_LOAD = emacs/lisp/mh-e/mh-cus-load.el

MH_E_AUTOGEN	=			\
	$(MH_E_AUTOLOADS)		\
	$(MH_E_CUSTOM_LOAD)		\
	$(MH_E_LOADDEFS)

# Emacs images needed by MH-E.
# These names are duplicated in mh-xemacs.el and mh-tool-bar.el.
MH_E_IMG	=					\
	emacs/etc/images/attach.pbm			\
	emacs/etc/images/attach.xpm			\
	emacs/etc/images/contact.pbm			\
	emacs/etc/images/contact.xpm			\
	emacs/etc/images/copy.pbm			\
	emacs/etc/images/copy.xpm			\
	emacs/etc/images/cut.pbm			\
	emacs/etc/images/cut.xpm			\
	emacs/etc/images/data-save.pbm			\
	emacs/etc/images/data-save.xpm			\
	emacs/etc/images/delete.pbm			\
	emacs/etc/images/delete.xpm			\
	emacs/etc/images/help.pbm			\
	emacs/etc/images/help.xpm			\
	emacs/etc/images/left-arrow.pbm			\
	emacs/etc/images/left-arrow.xpm			\
	emacs/etc/images/mail/compose.pbm		\
	emacs/etc/images/mail/compose.xpm		\
	emacs/etc/images/mail/flag-for-followup.pbm	\
	emacs/etc/images/mail/flag-for-followup.xpm	\
	emacs/etc/images/mail/inbox.pbm			\
	emacs/etc/images/mail/inbox.xpm			\
	emacs/etc/images/mail/move.pbm			\
	emacs/etc/images/mail/move.xpm			\
	emacs/etc/images/mail/repack.pbm		\
	emacs/etc/images/mail/repack.xpm		\
	emacs/etc/images/mail/reply-all.pbm		\
	emacs/etc/images/mail/reply-all.xpm		\
	emacs/etc/images/mail/reply-from.pbm		\
	emacs/etc/images/mail/reply-from.xpm		\
	emacs/etc/images/mail/reply-to.pbm		\
	emacs/etc/images/mail/reply-to.xpm		\
	emacs/etc/images/mail/reply.pbm			\
	emacs/etc/images/mail/reply.xpm			\
	emacs/etc/images/mail/send.pbm			\
	emacs/etc/images/mail/send.xpm			\
	emacs/etc/images/mh-logo.xpm			\
	emacs/etc/images/next-page.pbm			\
	emacs/etc/images/next-page.xpm			\
	emacs/etc/images/open.pbm			\
	emacs/etc/images/open.xpm			\
	emacs/etc/images/paste.pbm			\
	emacs/etc/images/paste.xpm			\
	emacs/etc/images/preferences.pbm		\
	emacs/etc/images/preferences.xpm		\
	emacs/etc/images/refresh.pbm			\
	emacs/etc/images/refresh.xpm			\
	emacs/etc/images/right-arrow.pbm		\
	emacs/etc/images/right-arrow.xpm		\
	emacs/etc/images/search.pbm			\
	emacs/etc/images/search.xpm			\
	emacs/etc/images/save.pbm			\
	emacs/etc/images/save.xpm			\
	emacs/etc/images/show.pbm			\
	emacs/etc/images/show.xpm			\
	emacs/etc/images/spell.pbm			\
	emacs/etc/images/spell.xpm			\
	emacs/etc/images/undo.pbm			\
	emacs/etc/images/undo.xpm			\
	emacs/etc/images/zoom-out.pbm			\
	emacs/etc/images/zoom-out.xpm	

# Other MH-E files.
MH_E_ETC	=			\
	COPYING				\
	ChangeLog			\
	ChangeLog.1			\
	Makefile			\
	README				\
	emacs/etc/MH-E-NEWS		\
	emacs/lisp/mh-e/ChangeLog	\
	emacs/lisp/mh-e/ChangeLog.1

# MH-E maintainer files.
MH_E_MAINT	=			\
	.cvsignore			\
	emacs/lisp/mh-e/.cvsignore	\
	mh-unit.el			\
	release-utils

# MH-E files for distribution.
MH_E_DIST_NOAUTOGEN =			\
	$(MH_E_SRC)			\
	$(MH_E_SRC_NONCOMPILED)		\
	$(MH_E_XEMACS_SRC)		\
	$(MH_E_IMG)			\
	$(MH_E_ETC)

# MH-E files for distribution, including automatically generated files.
MH_E_DIST	=			\
	$(MH_E_DIST_NOAUTOGEN)		\
	$(MH_E_AUTOGEN)

# All MH-E files, excluding automatically generated files.
MH_E_ALL	=			\
	$(MH_E_DIST_NOAUTOGEN)		\
	$(MH_E_MAINT)

# Compiling variables.
EMACS		= emacs

# emacs/lisp/mh-e only needed by custom-deps on Emacs 21.
EMACS_OPTIONS   = --batch --no-site-file --multibyte \
	--eval "(setq load-path (cons \".\" (cons \"emacs/lisp/mh-e\" load-path)))"

EMACS_LOADDEFS_COOKIE = \
	--eval "(setq generate-autoload-cookie \";;;\#\#\#mh-autoload\")"

# autoload-package-name needed by XEmacs; harmless on GNU Emacs.
EMACS_EXPORT_MH_LOADDEFS = \
	--eval "(setq generated-autoload-file (expand-file-name \"$(MH_E_LOADDEFS)\"))" \
	--eval "(setq make-backup-files nil)" \
	--eval "(setq autoload-package-name \"mh-loaddefs\")"

EMACS_EXPORT_MH_AUTOLOADS = \
	--eval "(setq generated-autoload-file (expand-file-name \"$(MH_E_AUTOLOADS)\"))" \
	--eval "(setq make-backup-files nil)" \
	--eval "(setq autoload-package-name \"mh\")"

COMPILE_COMMAND	= $(EMACS) $(EMACS_OPTIONS)

# XEmacs variables.
XEMACS	        = false

XEMACS_OPTIONS  = --batch --vanilla \
	--eval "(setq load-path (cons (expand-file-name \"emacs/lisp/mh-e\") load-path))" \
	--eval "(setq load-path (cons \".\" load-path))"

# Since sed did not support the -i (--inplace) option at the time of
# the initial Emacs 21 release, use a temporary file instead of sed -i
# as long as we support Emacs 21. Solaris 9 sed also had problems
# using an expression to insert multiple lines starting at line 2 of
# the file, so we may end up keeping an intermediate temporary file as
# a workaround for longer than just support of the Emacs 21 release.
MH_E_TMP 	= /tmp/mh-e$$$$

# Default target. Works for both Emacs and XEmacs.
all: emacs
	case $(EMACS) in \
	*xemacs*) \
	    $(MAKE) EMACS='$(EMACS)' \
		EMACS_OPTIONS='$(XEMACS_OPTIONS)' \
		XEMACS=: \
		xemacs ;;\
	*) \
	     $(MAKE) EMACS='$(EMACS)' \
		Emacs ;;\
	esac

# Check out emacs directory if necessary.
emacs:
	cvs -d :$(CVSMETHOD):$(CVSLOGIN)@$(CVSROOT) co emacs/lisp/mh-e
	cvs -d :$(CVSMETHOD):$(CVSLOGIN)@$(CVSROOT) co -l emacs/etc/MH-E-NEWS \
	  emacs/etc/NEWS emacs/etc/ChangeLog \
	  emacs/etc/images emacs/etc/images/mail

emacs-devel:
	cvs -d $(USER)@$(CVSROOT) co emacs

# The .PHONY targets are always considered to be out-of-date.
# This rule needs to be after the ``all'' rule for compatibility 
# with old versions of make.
.PHONY: all clean compile Emacs emacs-devel

# Ensure clean compile which is advised since old .elc files can
# interfere with the compilation process.
Emacs: clean loaddefs compile autoloads custom-deps

# Remove everything we make.
clean::
	rm -rf $(MH_E_OBJ) $(MH_E_AUTOGEN)

# Compile MH-E. See $EMACS_HOME/lisp/Makefile for commentary.
compile: $(MH_E_SRC)
	$(COMPILE_COMMAND) -f batch-byte-compile $?

# Automatically extract internal autoloads.
MH_E_LOADDEFS_HEADER =\
";;; mh-loaddefs.el --- automatically extracted internal autoloads for MH-E\
\n;;\
\n;; Copyright (C) 2003, 2004, 2005, 2006 Free Software Foundation, Inc.\
\n;; Author: Bill Wohler <wohler@newt.com>\
\n;; Keywords: mail\
\n;;; Commentary:\
\n;;; Change Log:\
\n;;; Code:\n\n"

MH_E_LOADDEFS_FOOTER =\
"\f\
\n(provide 'mh-loaddefs)\
\n;; Local Variables:\
\n;; version-control: never\
\n;; no-byte-compile: t\
\n;; no-update-autoloads: t\
\n;; End:\
\n;;; mh-loaddefs.el ends here\n"

.PHONY: loaddefs
loaddefs: $(MH_E_LOADDEFS)
$(MH_E_LOADDEFS): $(MH_E_LOADDEFS_SRC)
        # For XEmacs, the autoload file must not be present.
	if $(XEMACS); then :; else \
		printf $(MH_E_LOADDEFS_HEADER) > $@; \
	fi
	$(COMPILE_COMMAND) \
		-l autoload \
		$(EMACS_LOADDEFS_COOKIE) \
		$(EMACS_EXPORT_MH_LOADDEFS) \
		-f batch-update-autoloads emacs/lisp/mh-e
        # Prepend the header in case of XEmacs.
	if $(XEMACS); then \
		(printf $(MH_E_LOADDEFS_HEADER); cat $@) > $(MH_E_TMP); \
		mv $(MH_E_TMP) $@; \
	fi; \
	printf $(MH_E_LOADDEFS_FOOTER) >> $@

# Automatically extract external autoloads.
MH_E_AUTOLOADS_HEADER =\
";;; mh-autoloads.el --- automatically extracted external autoloads for MH-E\
\n\
\n;; Copyright (C) 2003, 2004, 2005, 2006 Free Software Foundation, Inc.\
\n;; Author: Bill Wohler <wohler@newt.com>\
\n;; Keywords: mail\
\n;;; Commentary:\
\n\
\n;; If you installed MH-E separately from Emacs, you can set up its entry\
\n;; points using the following in your .emacs file:\
\n\
\n;;   (require 'mh-autoloads)\
\n\
\n;;; Change Log:\
\n;;; Code:\n\n"

MH_E_AUTOLOADS_FOOTER =\
"\f\
\n(provide 'mh-autoloads)\
\n;; Local Variables:\
\n;; version-control: never\
\n;; no-byte-compile: t\
\n;; no-update-autoloads: t\
\n;; End:\
\n;;; mh-autoloads.el ends here\n"

.PHONY: autoloads
autoloads: $(MH_E_AUTOLOADS)
$(MH_E_AUTOLOADS): $(MH_E_SRC)
        # In GNU Emacs, the autoloads must be present; in XEmacs, it must not.
	if $(XEMACS); then :; else \
		printf $(MH_E_AUTOLOADS_HEADER) > $@; \
	fi
	$(COMPILE_COMMAND) \
		-l autoload \
		$(EMACS_EXPORT_MH_AUTOLOADS) \
		-f batch-update-autoloads emacs/lisp/mh-e
        # Prepend the header in case of XEmacs.
	if $(XEMACS); then \
		(printf $(MH_E_AUTOLOADS_HEADER); cat $@) > $(MH_E_TMP); \
		mv $(MH_E_TMP) $@; \
	fi; \
	printf $(MH_E_AUTOLOADS_FOOTER) >> $@

# Automatically extract custom autoloads.
# Emacs 22 has generated-custom-dependencies-file, but Emacs 21 hard-codes
# the output file to cus-load.el. XEmacs has cusload-base-file which is set to
# custom-load.el.
MH_E_CUSTOM_LOAD_HEADER =\
"\
\n;; Copyright (C) 2003, 2004, 2005, 2006 Free Software Foundation, Inc.\
\n;; Author: Bill Wohler <wohler@newt.com>\
\n;; Keywords: mail\
\n;;; Commentary:\
\n\
\n;; If you installed MH-E separately from Emacs, you can set up its custom\
\n;; dependencies using the following in your .emacs file:\
\n\
\n;;   (require 'mh-cus-load)\
\n\
\n;;; Change Log:\n\n"

MH_E_CUSTOM_LOAD_FOOTER =\
"\f\
\n(provide 'mh-cus-load)\
\n;; Local Variables:\
\n;; version-control: never\
\n;; no-byte-compile: t\
\n;; no-update-autoloads: t\
\n;; End:\n"

.PHONY: custom-deps
custom-deps: $(MH_E_CUSTOM_LOAD)
$(MH_E_CUSTOM_LOAD): $(MH_E_SRC)
	if $(XEMACS); then \
		$(COMPILE_COMMAND) \
			-l cus-dep -l emacs/lisp/mh-e/mh-e \
			-f Custom-make-dependencies emacs/lisp/mh-e; \
		(sed -e "s/custom-load/mh-cus-load/" \
			emacs/lisp/mh-e/custom-load.el; \
		 printf $(MH_E_CUSTOM_LOAD_FOOTER)) > $(MH_E_TMP); \
		rm -f emacs/lisp/mh-e/custom-load.el; \
	else \
		$(COMPILE_COMMAND) \
			-l cus-dep -l emacs/lisp/mh-e/mh-e \
			-f custom-make-dependencies emacs/lisp/mh-e; \
		sed -e "s/cus-load/mh-cus-load/" cus-load.el > $(MH_E_TMP); \
		rm -f cus-load.el; \
	fi; \
	(sed -e 2,\$$d $(MH_E_TMP); \
	 printf $(MH_E_CUSTOM_LOAD_HEADER); \
	 sed -e 1d $(MH_E_TMP)) > $@; \
	rm -f $(MH_E_TMP)

=== doc/Makefile ===
# $Id: Makefile,v 1.29 2008/09/22 02:37:10 wohler Exp $
#
# Makefile for MH-E documentation.
#
# Note: most changes to this file should also be mirrored in the Makefiles in
# $(TOP)/src and $(TOP)/contrib.
#
TOP = ..

CVSROOT = cvs.savannah.gnu.org:/cvsroot/emacs

# Developers can use CVSLOGIN=$USER CVSMETHOD=ext.

CVSLOGIN = anoncvs

CVSMETHOD = pserver

MH_E_DOC = doc/misc/mh-e.texi

MH_E_ETC_EMACS = doc/misc/ChangeLog doc/misc/gpl.texi doc/misc/doclicense.texi

MH_E_ETC = ChangeLog Makefile README

MH_E_DIST = $(MH_E_DOC) $(MH_E_ETC_EMACS) $(MH_E_ETC)

MAKEINFOINFOFLAGS =

MAKEINFOHTMLFLAGS = --html --output html

TEXI2PDFFLAGS = --quiet --clean

#
# User Targets
#

all: $(MH_E_DOC) clean info html pdf

# Check out manual if necessary.
emacs: $(MH_E_DOC)

$(MH_E_DOC): 
	(files=`echo $(MH_E_DOC) $(MH_E_ETC_EMACS) \
	        | sed 's/doc\/misc\//emacs\/doc\/misc\//g'`; \
	cvs -d :$(CVSMETHOD):$(CVSLOGIN)@$(CVSROOT) co $$files)
	mv emacs/doc .
	$(RM) -r emacs

clean:
	$(RM) -r info html mh-e.html mh-e.pdf

info: info/mh-e

info/mh-e: $(MH_E_DOC)
	[ -d info ] || mkdir info
	(cd `dirname $<` \
	&& makeinfo $(MAKEINFOINFOFLAGS) `basename $<`)

html: html/index.html mh-e.html

html/index.html: $(MH_E_DOC)
	[ -d html ] || mkdir html
	$(RM) html/*
	makeinfo $(MAKEINFOHTMLFLAGS) $<
mh-e.html: $(MH_E_DOC)
	makeinfo --html --output $@ --no-split $<

pdf: mh-e.pdf

mh-e.pdf: $(MH_E_DOC)
	texi2pdf $(TEXI2PDFFLAGS) $<
	texi2pdf $(TEXI2PDFFLAGS) $<

#
# Maintainer Targets
#

# Tag the MH-E files that are checked out.
tag:
	@if [ "$(TAG)" = "" ]; then \
	    echo "No tag found. Set TAG environment variable."; \
	    exit 1; \
	fi
	cvs tag $(TAG) $(MH_E_ETC)
	(cd doc/misc; \
	files=`echo $(MH_E_DOC) $(MH_E_ETC_EMACS) | sed 's/doc\/misc\///g'`; \
	cvs tag $(TAG) $$files)

# Create a distribution. 
dist:
	@echo "Determining release..."
	@TAG=`cvs stat Makefile | awk '/Sticky Tag/{print $$3}'`; \
        if [ "$$TAG" = "(none)" ]; then \
            echo "No sticky tags here. Do a 'cvs update -rmh-e-doc-M_N'."; \
            exit 1; \
        fi; \
        RELEASE=`echo $$TAG | sed 's/_/./g'`; \
	echo "Building $$RELEASE..."; \
        rm -rf $$RELEASE; \
        mkdir $$RELEASE; \
        cp --parents $(MH_E_DIST) $$RELEASE; \
        tar -czhf $$RELEASE.tgz $$RELEASE

# Update http://mh-e.sourceforge.net/manual/.
update-web-site: all
	rsync -vaz --delete . $$USER,mh-e@web.sourceforge.net:doc

# Back up MH-E CVS files at Savannah.
MH_BACKUP_DIR = ../backup
MH_FILES = $(MH_E_DOC) $(MH_E_ETC_EMACS)

backup:
	@[ -d $(MH_BACKUP_DIR) ] || mkdir $(MH_BACKUP_DIR)
	@(host=`echo $(CVSROOT) | awk -F: '{print $$1}'` \
	set $(MH_FILES); \
	files=`for i; do \
		    echo -n $$i|sed -e 's/^/sources\/emacs\/emacs\//' -e 's/$$/,v /';\
		done`; \
	set $$files; \
	for file; do \
	    rsync -aziR $$host::$$file $(MH_BACKUP_DIR); \
	done;)

## mh-e 8.2.90

=== debian/changelog ===
mh-e (8.2.90-1) unstable; urgency=low

  * New upstream release
  * Remove w3-el-e21 from suggested packages; no longer exists.

 -- Peter S Galbraith <psg@debian.org>  Mon, 11 Jul 2011 21:40:53 -0400

mh-e (8.2-3) unstable; urgency=low

  * Bug fix: "please remove emacs22 from the build dependencies", thanks
    to Rob Browning (Closes: #567699).
  * control:
  - Added depends on: "dpkg (>= 1.15.4) | install-info" 
  - Standards-Version bumped to 3.8.3
  - Switched "Build-Depends-Indep" to "Build-Depends" as per
    clean-should-be-satisfied-by-build-depends
  - Added ${misc:Depends} (debhelper-but-no-misc-depends)
  * compat: debhelper compat bumped to 7.
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 18 Feb 2010 18:22:39 -0500

mh-e (8.2-2) unstable; urgency=low

  * Bug fix: "FTBFS: /bin/sh: cvs: not found", thanks to Lucas Nussbaum.
    Fixed by not doing `make all' in doc subdirectory, but only `make info'.
    (Closes: #543091).

 -- Peter S Galbraith <psg@debian.org>  Tue, 01 Sep 2009 13:42:08 -0400

mh-e (8.2-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Fri, 17 Jul 2009 15:34:46 -0400

mh-e (8.1-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "lintian error, debian-files-list-in-source", thanks to
    Raphael Geissert (Closes: #451058).
  * Bug fix: "binary files in upstream debian dir", thanks to Raphael
    Hertzog (Closes: #485036).
  * Standards-Version 3.8.0: Added Homepage field and removed it from
    description.
  * Change build-de[pends from tetex-bin to texlive-latex-base and
    texlive-generic-recommended.

 -- Peter S Galbraith <psg@debian.org>  Tue, 09 Sep 2008 19:34:45 -0400

mh-e (8.0.3-3) unstable; urgency=high

  * Bug fix: "mh-e requires sendmail.el, which needs /usr/bin/mail
    installed", thanks to Lucas Nussbaum (Closes: #439486). I simply call
    `make autoloads' now rather than `make', so I avoid byte-compiling all
    the files.

 -- Peter S Galbraith <psg@debian.org>  Wed, 29 Aug 2007 22:35:39 -0400

mh-e (8.0.3-2) unstable; urgency=low

  * Bug fix: "mh-e: please prefer emacs22", thanks to Tatsuya Kinoshita
    (Closes: #434921).

 -- Peter S Galbraith <psg@debian.org>  Mon, 13 Aug 2007 20:58:54 -0400

mh-e (8.0.3-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Mon, 20 Nov 2006 21:11:30 -0500

mh-e (8.0.2-2) unstable; urgency=low

  * Bug fix: "mh-e: postinst failure with xemacs21 because of
    mh-logo.xpm", thanks to Laurent Bonnaud (Closes: #378979).
    The emacsen-install scripts needs to know about
    /usr/share/emacs/site-lisp/etc/images/mh-e to find icons during
    byte-compilation.

 -- Peter S Galbraith <psg@debian.org>  Thu, 20 Jul 2006 10:57:51 -0400

mh-e (8.0.2-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Wed, 19 Jul 2006 14:12:34 -0400

mh-e (8.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depend on tetex-bin; fixes FTBFS, patch from Andreas Jochens.
    (Closes: #375842)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  5 Jul 2006 21:00:10 +0200

mh-e (8.0-1) unstable; urgency=low

  * New upstream release, a major milestone.

 -- Peter S Galbraith <psg@debian.org>  Sat,  6 May 2006 21:52:25 -0400

mh-e (7.94-1) unstable; urgency=low

  * New upstream release.
    Incorporates new manual!

 -- Peter S Galbraith <psg@debian.org>  Fri, 21 Apr 2006 21:13:26 -0400

mh-e (7.93-1) unstable; urgency=low

  * New upstream bug-fix release.
    Renames `mh-image-load-path' to `mh-image-directory'

 -- Peter S Galbraith <psg@debian.org>  Wed,  1 Mar 2006 09:32:38 -0500

mh-e (7.92-1) unstable; urgency=low

  * New upstream bug-fix release

 -- Peter S Galbraith <psg@debian.org>  Sat, 18 Feb 2006 19:14:38 -0500

mh-e (7.91-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Fri,  3 Feb 2006 20:31:19 -0500

mh-e (7.90-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Wed,  1 Feb 2006 20:21:48 -0500

mh-e (7.85-2) unstable; urgency=low

  * Don't setup packge for emacs-snapshot (since it should have a
    bleeding-edge version of MH-E).

 -- Peter S Galbraith <psg@debian.org>  Wed,  1 Feb 2006 19:30:37 -0500

mh-e (7.85-1) unstable; urgency=low

  * New upstream release
  * Icon images moved to /usr/share/emacs/site-lisp/etc/images/mh-e
    (for now anyway)
  * mh-e-autoloads.el renamed to mh-autoloads.el upstream.

 -- Peter S Galbraith <psg@debian.org>  Sat, 15 Oct 2005 21:26:22 -0400

mh-e (7.84-2) unstable; urgency=low

  * Bug fix: "mh-e: FTBFS: Missing Build-Depends on 'emacs21'", thanks to
    Andreas Jochens (Closes: #314653).
  * Standards-Version: 3.6.2 without changes.
  
 -- Peter S Galbraith <psg@debian.org>  Tue, 20 Sep 2005 22:13:51 -0400

mh-e (7.84-1) unstable; urgency=low

  * New upstream bug-fix release.

 -- Peter S Galbraith <psg@debian.org>  Mon, 30 May 2005 21:06:46 -0400

mh-e (7.83-1) unstable; urgency=low

  * New upstream bug-fix release.  
    Version 7.83 fixes a handful of bugs, adds colors to buttons for
    signed or encrypted messages, and contains some documentation changes
    related to the upcoming release of the manual. Some options were moved
    to other customization groups as a result.

 -- Peter S Galbraith <psg@debian.org>  Fri,  6 May 2005 13:04:22 -0400

mh-e (7.82-4) unstable; urgency=low

  * emacsen-install, emacsen-startup: Don't compile mh-speed.el since a
    separate speedbar package might be installed.  This will also fix the
    non-reproducible byte-compilation bug for mh-speed.el. Thanks to J G
    Miller for reporting, Christopher J Peikert, Andrew Lincoln, Burrow
    Grant Gould and Olivier Ponsini for helping out with it (Closes: #270349).

 -- Peter S Galbraith <psg@debian.org>  Sun, 19 Dec 2004 20:09:48 -0500

mh-e (7.82-3) unstable; urgency=low



=== debian/control ===
Source: mh-e
Section: mail
Priority: extra
Maintainer: Peter S Galbraith <psg@debian.org>
Build-Depends: debhelper (>> 4.0.0), texinfo, emacs23, texlive-latex-base, texlive-generic-recommended
Standards-Version: 3.8.3
Homepage: http://mh-e.sourceforge.net/

Package: mh-e
Architecture: all
Depends: emacs23 | emacsen, nmh | mailutils-mh, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Recommends: gnus, compface
Suggests: mailcrypt, swish++, wget, imagemagick, picon-domains, w3m-el
Description: Emacs interface to the MH mail system
 MH-E offers all the functionality of MH, the visual orientation and
 simplicity of use of a GUI, and full integration with Emacs and
 XEmacs, including thorough configuration and online help.
 .
 MH-E allows one to read and process mail very quickly: many commands
 are single characters; completion and smart defaults are used for
 folder names and aliases. With MH-E you compose outgoing messages in
 Emacs. This is a big plus for Emacs users, but even non-Emacs users
 have been known to use MH-E after only learning the most basic cursor
 motion commands.
 .
 Additional features include:
 .
   - attractive text rendering with font lock
   - composition and display of MIME body parts
   - display of images and HTML within the Emacs frame
   - folder browsing with speedbar
   - threading
   - ticking messages
   - lightning-fast full-text indexed searches of all of your email
   - virtual folders to view ticked and unseen messages, search results
   - multiple personalities
   - signing and encrypting
   - spam filter interaction
   - XFace, Face, X-Image-URL and picon header field support
 .
 MH is Rand's Mail Handler, whose functionality is available in MH,
 nmh and GNU mailutils.
 .
 The package also includes contributed files that are not distributed
 with GNU Emacs:
 .
   mh-frame.el      - Open MH-E in a separate frame.
   mh-comp-frame.el - Message composition in a separate frame.

## mh-e 8.3

=== Makefile ===
# Makefile for MH-E.

# Copyright (C) 2003-2006, 2011 Bill Wohler

# This file is part of MH-E.

# MH-E is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.

# MH-E is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with MH-E; see the file COPYING.  If not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

#
# Note: most changes to this file should also be mirrored in the Makefiles in
# $(TOP)/doc and $(TOP)/contrib.
#
TOP		= ..

EMACS_SRC	= emacs/trunk
URL		= bzr://bzr.savannah.gnu.org/$(EMACS_SRC)
DEV_URL		= bzr+ssh://$(USER)@bzr.savannah.gnu.org/$(EMACS_SRC)

# Program to install files
INSTALL		= install -m 644

# MH-E source.
MH_E_SRC	=				\
        $(EMACS_SRC)/lisp/mh-e/mh-alias.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-buffers.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-comp.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-e.el		\
        $(EMACS_SRC)/lisp/mh-e/mh-folder.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-funcs.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-identity.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-inc.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-junk.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-letter.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-limit.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-mime.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-print.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-scan.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-search.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-seq.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-show.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-speed.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-thread.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-tool-bar.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-utils.el	\
        $(EMACS_SRC)/lisp/mh-e/mh-xface.el

MH_E_OBJ	=  $(MH_E_SRC:.el=.elc)

MH_E_SRC_NONCOMPILED =				\
	$(EMACS_SRC)/lisp/mh-e/mh-acros.el	\
	$(EMACS_SRC)/lisp/mh-e/mh-compat.el	\
	$(EMACS_SRC)/lisp/mh-e/mh-gnus.el

MH_E_XEMACS_SRC	= mh-xemacs.el

MH_E_XEMACS_OBJ	= $(MH_E_XEMACS_SRC:.el=.elc)

# Automatically generated files.
MH_E_LOADDEFS	= $(EMACS_SRC)/lisp/mh-e/mh-loaddefs.el

MH_E_LOADDEFS_SRC = $(MH_E_SRC)

MH_E_AUTOLOADS	= $(EMACS_SRC)/lisp/mh-e/mh-autoloads.el

MH_E_CUSTOM_LOAD = $(EMACS_SRC)/lisp/mh-e/mh-cus-load.el

MH_E_AUTOGEN	=			\
	$(MH_E_AUTOLOADS)		\
	$(MH_E_CUSTOM_LOAD)		\
	$(MH_E_LOADDEFS)

# Emacs images needed by MH-E.
# These names are duplicated in mh-xemacs.el and mh-tool-bar.el.
MH_E_IMG	=						\
	$(EMACS_SRC)/etc/images/attach.pbm			\
	$(EMACS_SRC)/etc/images/attach.xpm			\
	$(EMACS_SRC)/etc/images/contact.pbm			\
	$(EMACS_SRC)/etc/images/contact.xpm			\
	$(EMACS_SRC)/etc/images/copy.pbm			\
	$(EMACS_SRC)/etc/images/copy.xpm			\
	$(EMACS_SRC)/etc/images/cut.pbm				\
	$(EMACS_SRC)/etc/images/cut.xpm				\
	$(EMACS_SRC)/etc/images/data-save.pbm			\
	$(EMACS_SRC)/etc/images/data-save.xpm			\
	$(EMACS_SRC)/etc/images/delete.pbm			\
	$(EMACS_SRC)/etc/images/delete.xpm			\
	$(EMACS_SRC)/etc/images/help.pbm			\
	$(EMACS_SRC)/etc/images/help.xpm			\
	$(EMACS_SRC)/etc/images/left-arrow.pbm			\
	$(EMACS_SRC)/etc/images/left-arrow.xpm			\
	$(EMACS_SRC)/etc/images/mail/compose.pbm		\
	$(EMACS_SRC)/etc/images/mail/compose.xpm		\
	$(EMACS_SRC)/etc/images/mail/flag-for-followup.pbm	\
	$(EMACS_SRC)/etc/images/mail/flag-for-followup.xpm	\
	$(EMACS_SRC)/etc/images/mail/inbox.pbm			\
	$(EMACS_SRC)/etc/images/mail/inbox.xpm			\
	$(EMACS_SRC)/etc/images/mail/move.pbm			\
	$(EMACS_SRC)/etc/images/mail/move.xpm			\
	$(EMACS_SRC)/etc/images/mail/repack.pbm			\
	$(EMACS_SRC)/etc/images/mail/repack.xpm			\
	$(EMACS_SRC)/etc/images/mail/reply-all.pbm		\
	$(EMACS_SRC)/etc/images/mail/reply-all.xpm		\
	$(EMACS_SRC)/etc/images/mail/reply-from.pbm		\
	$(EMACS_SRC)/etc/images/mail/reply-from.xpm		\
	$(EMACS_SRC)/etc/images/mail/reply-to.pbm		\
	$(EMACS_SRC)/etc/images/mail/reply-to.xpm		\
	$(EMACS_SRC)/etc/images/mail/reply.pbm			\
	$(EMACS_SRC)/etc/images/mail/reply.xpm			\
	$(EMACS_SRC)/etc/images/mail/send.pbm			\
	$(EMACS_SRC)/etc/images/mail/send.xpm			\
	$(EMACS_SRC)/etc/images/mh-logo.xpm			\
	$(EMACS_SRC)/etc/images/next-page.pbm			\
	$(EMACS_SRC)/etc/images/next-page.xpm			\
	$(EMACS_SRC)/etc/images/open.pbm			\
	$(EMACS_SRC)/etc/images/open.xpm			\
	$(EMACS_SRC)/etc/images/paste.pbm			\
	$(EMACS_SRC)/etc/images/paste.xpm			\
	$(EMACS_SRC)/etc/images/preferences.pbm			\
	$(EMACS_SRC)/etc/images/preferences.xpm			\
	$(EMACS_SRC)/etc/images/refresh.pbm			\
	$(EMACS_SRC)/etc/images/refresh.xpm			\
	$(EMACS_SRC)/etc/images/right-arrow.pbm			\
	$(EMACS_SRC)/etc/images/right-arrow.xpm			\
	$(EMACS_SRC)/etc/images/search.pbm			\
	$(EMACS_SRC)/etc/images/search.xpm			\
	$(EMACS_SRC)/etc/images/save.pbm			\
	$(EMACS_SRC)/etc/images/save.xpm			\
	$(EMACS_SRC)/etc/images/show.pbm			\
	$(EMACS_SRC)/etc/images/show.xpm			\
	$(EMACS_SRC)/etc/images/spell.pbm			\
	$(EMACS_SRC)/etc/images/spell.xpm			\
	$(EMACS_SRC)/etc/images/undo.pbm			\
	$(EMACS_SRC)/etc/images/undo.xpm			\
	$(EMACS_SRC)/etc/images/zoom-out.pbm			\
	$(EMACS_SRC)/etc/images/zoom-out.xpm	

# Other MH-E files.
MH_E_ETC	=				\
	COPYING					\
	ChangeLog				\
	ChangeLog.1				\
	Makefile				\
	README					\
	$(EMACS_SRC)/etc/MH-E-NEWS		\
	$(EMACS_SRC)/lisp/mh-e/ChangeLog	\
	$(EMACS_SRC)/lisp/mh-e/ChangeLog.1

# MH-E maintainer files.
MH_E_MAINT	=			\
	$(EMACS_SRC)/.bzrignore		\
	mh-unit.el			\
	release-utils

# MH-E files for distribution.
MH_E_DIST_NOAUTOGEN =			\
	$(MH_E_SRC)			\
	$(MH_E_SRC_NONCOMPILED)		\
	$(MH_E_XEMACS_SRC)		\
	$(MH_E_IMG)			\
	$(MH_E_ETC)

# MH-E files for distribution, including automatically generated files.
MH_E_DIST	=			\
	$(MH_E_DIST_NOAUTOGEN)		\
	$(MH_E_AUTOGEN)

# All MH-E files, excluding automatically generated files.
MH_E_ALL	=			\
	$(MH_E_DIST_NOAUTOGEN)		\
	$(MH_E_MAINT)

# Compiling variables.
EMACS		= emacs

# $(EMACS_SRC)/lisp/mh-e only needed by custom-deps on Emacs 21.
EMACS_OPTIONS   = --batch --no-site-file --multibyte \
	--eval "(setq load-path (cons \".\" (cons \"$(EMACS_SRC)/lisp/mh-e\" load-path)))"

EMACS_LOADDEFS_COOKIE = \
	--eval "(setq generate-autoload-cookie \";;;\#\#\#mh-autoload\")"

# autoload-package-name needed by XEmacs; harmless on GNU Emacs.
EMACS_EXPORT_MH_LOADDEFS = \
	--eval "(setq generated-autoload-file (expand-file-name \"$(MH_E_LOADDEFS)\"))" \
	--eval "(setq make-backup-files nil)" \
	--eval "(setq autoload-package-name \"mh-loaddefs\")"

EMACS_EXPORT_MH_AUTOLOADS = \
	--eval "(setq generated-autoload-file (expand-file-name \"$(MH_E_AUTOLOADS)\"))" \
	--eval "(setq make-backup-files nil)" \
	--eval "(setq autoload-package-name \"mh\")"

COMPILE_COMMAND	= $(EMACS) $(EMACS_OPTIONS)

# XEmacs variables.
XEMACS	        = false

XEMACS_OPTIONS  = --batch --vanilla \
	--eval "(setq load-path (cons (expand-file-name \"$(EMACS_SRC)/lisp/mh-e\") load-path))" \
	--eval "(setq load-path (cons \".\" load-path))"

# Since sed did not support the -i (--inplace) option at the time of
# the initial Emacs 21 release, use a temporary file instead of sed -i
# as long as we support Emacs 21. Solaris 9 sed also had problems
# using an expression to insert multiple lines starting at line 2 of
# the file, so we may end up keeping an intermediate temporary file as
# a workaround for longer than just support of the Emacs 21 release.
MH_E_TMP 	= /tmp/mh-e$$$$

# Default target. Works for both Emacs and XEmacs.
all: emacs
	case $(EMACS) in \
	*xemacs*) \
	    $(MAKE) EMACS='$(EMACS)' \
		EMACS_OPTIONS='$(XEMACS_OPTIONS)' \
		XEMACS=: \
		xemacs ;;\
	*) \
	     $(MAKE) EMACS='$(EMACS)' \
		Emacs ;;\
	esac

# Check out emacs directory if necessary.
emacs:
	bzr init-repo emacs
	@echo "Checking out Emacs repository (370 MB)..."
	(cd emacs && bzr co $(URL))

emacs-devel:
	bzr init-repo emacs
	@echo "Checking out Emacs repository (370 MB)..."
	(cd emacs && bzr co $(DEV_URL))

# The .PHONY targets are always considered to be out-of-date.
# This rule needs to be after the ``all'' rule for compatibility 
# with old versions of make.
.PHONY: all clean compile Emacs emacs-devel

# Ensure clean compile which is advised since old .elc files can
# interfere with the compilation process.
Emacs: clean loaddefs compile autoloads custom-deps

# Remove everything we make.
clean::
	rm -rf $(MH_E_OBJ) $(MH_E_AUTOGEN)

# Compile MH-E. See $EMACS_HOME/lisp/Makefile for commentary.
compile: $(MH_E_SRC)
	$(COMPILE_COMMAND) -f batch-byte-compile $?

# Automatically extract internal autoloads.
MH_E_LOADDEFS_HEADER =\
";;; mh-loaddefs.el --- automatically extracted internal autoloads for MH-E\
\n;;\
\n;; Copyright (C) 2003-2011 Free Software Foundation, Inc.\
\n;; Author: Bill Wohler <wohler@newt.com>\
\n;; Keywords: mail\
\n;;; Commentary:\
\n;;; Change Log:\
\n;;; Code:\n\n"

MH_E_LOADDEFS_FOOTER =\
"\f\
\n(provide 'mh-loaddefs)\
\n;; Local Variables:\
\n;; version-control: never\
\n;; no-byte-compile: t\
\n;; no-update-autoloads: t\
\n;; End:\
\n;;; mh-loaddefs.el ends here\n"

.PHONY: loaddefs
loaddefs: $(MH_E_LOADDEFS)
$(MH_E_LOADDEFS): $(MH_E_LOADDEFS_SRC)
        # For XEmacs, the autoload file must not be present.
	if $(XEMACS); then :; else \
		printf $(MH_E_LOADDEFS_HEADER) > $@; \
	fi
	$(COMPILE_COMMAND) \
		-l autoload \
		$(EMACS_LOADDEFS_COOKIE) \
		$(EMACS_EXPORT_MH_LOADDEFS) \
		-f batch-update-autoloads $(EMACS_SRC)/lisp/mh-e
        # Prepend the header in case of XEmacs.
	if $(XEMACS); then \
		(printf $(MH_E_LOADDEFS_HEADER); cat $@) > $(MH_E_TMP); \
		mv $(MH_E_TMP) $@; \
	fi; \
	printf $(MH_E_LOADDEFS_FOOTER) >> $@

# Automatically extract external autoloads.
MH_E_AUTOLOADS_HEADER =\
";;; mh-autoloads.el --- automatically extracted external autoloads for MH-E\
\n\
\n;; Copyright (C) 2003-2011 Free Software Foundation, Inc.\
\n;; Author: Bill Wohler <wohler@newt.com>\
\n;; Keywords: mail\
\n;;; Commentary:\
\n\
\n;; If you installed MH-E separately from Emacs, you can set up its entry\
\n;; points using the following in your .emacs file:\
\n\
\n;;   (require 'mh-autoloads)\
\n\
\n;;; Change Log:\
\n;;; Code:\n\n"

MH_E_AUTOLOADS_FOOTER =\
"\f\
\n(provide 'mh-autoloads)\
\n;; Local Variables:\
\n;; version-control: never\
\n;; no-byte-compile: t\
\n;; no-update-autoloads: t\
\n;; End:\
\n;;; mh-autoloads.el ends here\n"

.PHONY: autoloads
autoloads: $(MH_E_AUTOLOADS)
$(MH_E_AUTOLOADS): $(MH_E_SRC)
        # In GNU Emacs, the autoloads must be present; in XEmacs, it must not.
	if $(XEMACS); then :; else \
		printf $(MH_E_AUTOLOADS_HEADER) > $@; \
	fi
	$(COMPILE_COMMAND) \
		-l autoload \
		$(EMACS_EXPORT_MH_AUTOLOADS) \
		-f batch-update-autoloads $(EMACS_SRC)/lisp/mh-e
        # Prepend the header in case of XEmacs.
	if $(XEMACS); then \
		(printf $(MH_E_AUTOLOADS_HEADER); cat $@) > $(MH_E_TMP); \
		mv $(MH_E_TMP) $@; \
	fi; \
	printf $(MH_E_AUTOLOADS_FOOTER) >> $@

# Automatically extract custom autoloads.
# Emacs 22 has generated-custom-dependencies-file, but Emacs 21 hard-codes
# the output file to cus-load.el. XEmacs has cusload-base-file which is set to
# custom-load.el.
MH_E_CUSTOM_LOAD_HEADER =\
"\
\n;; Copyright (C) 2003-2011 Free Software Foundation, Inc.\
\n;; Author: Bill Wohler <wohler@newt.com>\
\n;; Keywords: mail\
\n;;; Commentary:\
\n\
\n;; If you installed MH-E separately from Emacs, you can set up its custom\
\n;; dependencies using the following in your .emacs file:\
\n\
\n;;   (require 'mh-cus-load)\
\n\
\n;;; Change Log:\n\n"

MH_E_CUSTOM_LOAD_FOOTER =\
"\f\
\n(provide 'mh-cus-load)\
\n;; Local Variables:\
\n;; version-control: never\
\n;; no-byte-compile: t\
\n;; no-update-autoloads: t\
\n;; End:\n"

.PHONY: custom-deps
custom-deps: $(MH_E_CUSTOM_LOAD)
$(MH_E_CUSTOM_LOAD): $(MH_E_SRC)
	if $(XEMACS); then \
		$(COMPILE_COMMAND) \

=== debian/changelog ===
mh-e (8.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer create /root/.gnupg during installation of the package. This
    is achieved by binding epg-gpg-home-directory to a temporary directory
    during bytecode compilation (implementation in
    debian/emacsen-install). (Closes: #689806)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 21 Oct 2012 16:13:53 +0200

mh-e (8.3-1) unstable; urgency=low

  * New upstream release.
  - Standards-Version bumped to 3.9.2

 -- Peter S Galbraith <psg@debian.org>  Fri, 11 Nov 2011 11:03:23 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Peter S Galbraith <psg@debian.org>
 Build-Depends: debhelper (>> 4.0.0), texinfo, emacs23, texlive-latex-base, texlive-generic-recommended
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
 Homepage: http://mh-e.sourceforge.net/
 
 Package: mh-e
@@ -41,8 +41,9 @@
  MH is Rand's Mail Handler, whose functionality is available in MH,
  nmh and GNU mailutils.
  .
- The package also includes contributed files that are not distributed
- with GNU Emacs:
+ This might be the same version as in the emacs23 package, but
+ documentation is included. It also includes contributed files that are not
+ distributed with GNU Emacs:
  .
    mh-frame.el      - Open MH-E in a separate frame.
    mh-comp-frame.el - Message composition in a separate frame.

## mh-e 8.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for MH-E.
 
-# Copyright (C) 2003-2006, 2011 Bill Wohler
+# Copyright (C) 2003-2006, 2011, 2012 Bill Wohler
 
 # This file is part of MH-E.
 
@@ -265,7 +265,7 @@
 MH_E_LOADDEFS_HEADER =\
 ";;; mh-loaddefs.el --- automatically extracted internal autoloads for MH-E\
 \n;;\
-\n;; Copyright (C) 2003-2011 Free Software Foundation, Inc.\
+\n;; Copyright (C) 2003-2012 Free Software Foundation, Inc.\
 \n;; Author: Bill Wohler <wohler@newt.com>\
 \n;; Keywords: mail\
 \n;;; Commentary:\
@@ -305,7 +305,7 @@
 MH_E_AUTOLOADS_HEADER =\
 ";;; mh-autoloads.el --- automatically extracted external autoloads for MH-E\
 \n\
-\n;; Copyright (C) 2003-2011 Free Software Foundation, Inc.\
+\n;; Copyright (C) 2003-2012 Free Software Foundation, Inc.\
 \n;; Author: Bill Wohler <wohler@newt.com>\
 \n;; Keywords: mail\
 \n;;; Commentary:\
@@ -352,7 +352,7 @@
 # custom-load.el.
 MH_E_CUSTOM_LOAD_HEADER =\
 "\
-\n;; Copyright (C) 2003-2011 Free Software Foundation, Inc.\
+\n;; Copyright (C) 2003-2012 Free Software Foundation, Inc.\
 \n;; Author: Bill Wohler <wohler@newt.com>\
 \n;; Keywords: mail\
 \n;;; Commentary:\
@@ -377,4 +377,3 @@
 custom-deps: $(MH_E_CUSTOM_LOAD)
 $(MH_E_CUSTOM_LOAD): $(MH_E_SRC)
 	if $(XEMACS); then \
-		$(COMPILE_COMMAND) \

=== debian/changelog ===
mh-e (8.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Updates for emacs25 (Closes: #846989)
    - Update build-dep: emacs24 => emacs25-nox | emacs25 | emacs24
    - Update depends: emacs24 | emacs | xemacs21
      => emacs25 | emacs24 | emacs | xemacs21

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 08 Jan 2017 12:03:02 -0700

mh-e (8.5-2) unstable; urgency=low

  * Bug fix: "postinst script blocks if some Recommends are not yet
    configured", thanks to Laurent Bonnaud (Closes: #345987). I removed
    the Recommends for gnus, which forced installation of xemacs.
  * depend on "emacs24 | emacs | xemacs21" rather than "emacs23 | emacsen".
  * build-depend on emacs24 instead of emacs23.
  
 -- Peter S Galbraith <psg@debian.org>  Sat, 01 Jun 2013 12:01:05 -0400

mh-e (8.5-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Sun, 03 Mar 2013 13:23:17 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: mail
 Priority: extra
 Maintainer: Peter S Galbraith <psg@debian.org>
-Build-Depends: debhelper (>> 4.0.0), texinfo, emacs23, texlive-latex-base, texlive-generic-recommended
+Build-Depends: debhelper (>> 4.0.0), texinfo, emacs25-nox | emacs25 | emacs24, texlive-latex-base, texlive-generic-recommended
 Standards-Version: 3.9.2
 Homepage: http://mh-e.sourceforge.net/
 
 Package: mh-e
 Architecture: all
-Depends: emacs23 | emacsen, nmh | mailutils-mh, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Recommends: gnus, compface
+Depends: emacs25 | emacs24 | emacs | xemacs21, nmh | mailutils-mh, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Recommends: compface
 Suggests: mailcrypt, swish++, wget, imagemagick, picon-domains, w3m-el
 Description: Emacs interface to the MH mail system
  MH-E offers all the functionality of MH, the visual orientation and

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ADVERTISEDVERSION=$(shell head -1 debian/changelog | perl -ne 'if(/([0-9][^-]+)/) {print $$1}')

source:
	install -d mh-e-$(ADVERTISEDVERSION)
	tar cf - --exclude=debian/CVS --exclude=contrib/CVS --exclude=*/.cvsignore --exclude=doc/CVS --exclude=doc/info --exclude=emacs/trunk/lisp/mh-e/CVS --exclude=src/mail/CVS debian contrib doc src | ( cd mh-e-$(ADVERTISEDVERSION) ; tar xf -)
	tar cf mh-e_$(ADVERTISEDVERSION).orig.tar mh-e-$(ADVERTISEDVERSION)
	gzip --best mh-e_$(ADVERTISEDVERSION).orig.tar
	rm -fR mh-e-$(ADVERTISEDVERSION)

build: build-stamp
build-stamp:
	dh_testdir
	make autoloads custom-deps loaddefs
	install -d doc/info
	(cd doc/doc/misc ; makeinfo mh-e.texi)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f mh-e-autoloads.el
	rm -f build-stamp configure-stamp
	(cd doc ; make clean)
	rm -fR info
	make clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_installdirs
	install -m 0644 *.el emacs/trunk/lisp/mh-e/*.el debian/mh-e/usr/share/emacs/site-lisp/mh-e
	install -m 0644 contrib/*.el              debian/mh-e/usr/share/emacs/site-lisp/mh-e
	install -m 0644 emacs/trunk/etc/images/*.pbm emacs/trunk/etc/images/*.xpm debian/mh-e/usr/share/emacs/site-lisp/etc/images/mh-e
	install -m 0644 emacs/trunk/etc/images/mail/*   debian/mh-e/usr/share/emacs/site-lisp/etc/images/mh-e/mail
	install -m 0644 contrib/ChangeLog debian/mh-e/usr/share/doc/mh-e/contrib.changelog
	install -m 0644 contrib/README debian/mh-e/usr/share/doc/mh-e/contrib.README
	dh_installdocs MH-E-NEWS
	dh_installemacsen
	dh_installinfo doc/info/mh-e*
	dh_installchangelogs ChangeLog
	install -m 0644 ChangeLog.1 debian/mh-e/usr/share/doc/mh-e/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary source
